Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetMessageThreadHistory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.GetMessageThreadHistory

Enclosing class:
  TdApi

public static final class TdApi.GetMessageThreadHistory extends TdApi.Function<TdApi.Messages>
Returns messages in a message thread of a message. Can be used only if message.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`fromMessageId`
Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
`int`
`limit`
The maximum number of messages to be returned; must be positive and can't be greater than 100.
`long`
`messageId`
Message identifier, which thread history needs to be returned.
`int`
`offset`
Specify 0 to get results from exactly the fromMessageId or a negative offset up to 99 to get additionally some newer messages.

## Constructor Summary

Constructors
Constructor
Description
`GetMessageThreadHistory()`
Returns messages in a message thread of a message.
`GetMessageThreadHistory(long chatId, long messageId, long fromMessageId, int offset, int limit)`
Returns messages in a message thread of a message.
`GetMessageThreadHistory(DataInput input)`
Returns messages in a message thread of a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier, which thread history needs to be returned.

### fromMessageId

public long fromMessageId
Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.

### offset

public int offset
Specify 0 to get results from exactly the fromMessageId or a negative offset up to 99 to get additionally some newer messages.

### limit

public int limit
The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetMessageThreadHistory

public GetMessageThreadHistory()
Returns messages in a message thread of a message. Can be used only if message.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

### GetMessageThreadHistory

public GetMessageThreadHistory(long chatId, long messageId, long fromMessageId, int offset, int limit)
Returns messages in a message thread of a message. Can be used only if message.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier, which thread history needs to be returned.
  `fromMessageId` - long Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
  `offset` - int Specify 0 to get results from exactly the fromMessageId or a negative offset up to 99 to get additionally some newer messages.
  `limit` - int The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### GetMessageThreadHistory

public GetMessageThreadHistory(DataInput input) throws IOException
Returns messages in a message thread of a message. Can be used only if message.canGetMessageThread == true. Message thread of a channel message is in the channel's linked supergroup. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`